Subject: [PATCH] ARM: bcm2835: Move to mach-bcm directory

From: [email-masked] (Matt Porter)
Date: Fri, 21 Feb 2014 12:50:34 -0500

On Fri, Feb 21, 2014 at 09:41:53AM -0800, Markus Mayer wrote:
> On 21 February 2014 06:09, Matt Porter <[email-masked]> wrote:
> > On Thu, Feb 20, 2014 at 09:53:56PM -0700, Stephen Warren wrote:
> >> On 02/20/2014 05:16 PM, Markus Mayer wrote:
> >> > Move the bcm2835 board file into the mach-bcm directory. This allows us
> >> > to get rid of the mach-bcm2835 directory with the associated Kconfig
> >> > and Makefile.
> >>
> >> This looks fine, although it needs a small patch to bcm2835_defconfig
> >> squashed in, which I'll post in a second.
> >>
> >> Do you want me to take it through the bcm2835 tree? That's probably
> >> easiest to avoid conflicts with any other bcm2835 patches, not that it's
> >> too likely there will be any to the board file.
> >
> > That's ok with me. Be aware that we may have minor Kconfig/Makefile
> > conflicts between the bcm2835 tree and the mach-bcm tree since we just
> > queued the bcm5301x support.
> 
> Matt, will you squash Stephen's patch into mine when you take the
> patches or should I submit a v2 of the patch that combines both?

I think Stephen prefers to take this through the bcm2835 tree so I'll
let him weigh in on that.

-Matt